Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2102133 - mypaint: FTBFS in Fedora Rawhide with Python 3.11: ValueError: invalid mode: 'rU'
Summary: mypaint: FTBFS in Fedora Rawhide with Python 3.11: ValueError: invalid mode: ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mypaint
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yaakov Selkowitz
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS PYTHON3.11 F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-06-29 11:25 UTC by Jitka Plesnikova
Modified: 2023-09-18 04:40 UTC (History)
4 users (show)

Fixed In Version: mypaint-2.0.1-7.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-02 02:48:15 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Jitka Plesnikova 2022-06-29 11:25:39 UTC
Description of problem:
Package mypaint fails to build from source in Fedora Rawhide.

running install_scripts
creating /builddir/build/BUILDROOT/mypaint-2.0.1-5.fc37.x86_64/usr/bin
installing build/scripts-3.11/mypaint.py as mypaint
Traceback (most recent call last):
  File "/builddir/build/BUILD/mypaint-2.0.1/setup.py", line 979, in <module>
    setup(
    ^^^^^^
  File "/usr/lib/python3.11/site-packages/setuptools/__init__.py", line 87, in setup
    return distutils.core.setup(**attrs)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/setuptools/_distutils/core.py", line 177, in setup
    return run_commands(dist)
           ^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/setuptools/_distutils/core.py", line 193, in run_commands
    dist.run_commands()
    ^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/setuptools/_distutils/dist.py", line 968, in run_commands
    self.run_command(cmd)
    ^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/setuptools/dist.py", line 1229, in run_command
    super().run_command(command)
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/setuptools/_distutils/dist.py", line 987, in run_command
    cmd_obj.run()
    ^^^^^^^^^^^^^
  File "/builddir/build/BUILD/mypaint-2.0.1/setup.py", line 775, in run
    inst.run()
    ^^^^^^^^^^
  File "/builddir/build/BUILD/mypaint-2.0.1/setup.py", line 495, in run
    install.run(self)
    ^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/setuptools/command/install.py", line 68, in run
    return orig.install.run(self)
           ^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/setuptools/_distutils/command/install.py", line 701, in run
    self.run_command(cmd_name)
    ^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/setuptools/_distutils/cmd.py", line 317, in run_command
    self.distribution.run_command(command)
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/setuptools/dist.py", line 1229, in run_command
    super().run_command(command)
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/setuptools/_distutils/dist.py", line 987, in run_command
    cmd_obj.run()
    ^^^^^^^^^^^^^
  File "/builddir/build/BUILD/mypaint-2.0.1/setup.py", line 619, in run
    outfiles = self._install_script(src, header)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/mypaint-2.0.1/setup.py", line 635, in _install_script
    with open(src, "rU") as in_fp:
         ^^^^^^^^^^^^^^^
ValueError: invalid mode: 'rU'

Dependency changes from the last successful build:
https://koschei.fedoraproject.org/build/13101171

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/mypaint

Comment 1 Miro Hrončok 2022-08-02 11:06:06 UTC
This package has Python 3.10 bytecode in it:

/usr/lib64/mypaint/gui/__pycache__/__init__.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/accelmap.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/application.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/autorecover.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/backgroundwindow.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/blendmodehandler.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/brushcolor.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/brusheditor.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/brushiconeditor.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/brushmanager.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/brushmodifier.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/brushselectionwindow.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/builderhacks.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/buttonmap.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/colorpicker.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/colorpreview.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/colortools.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/compatconfig.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/compatibility.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/cursor.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/curve.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/device.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/dialogs.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/displayfilter.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/document.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/drawutils.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/drawwindow.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/externalapp.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/factoryaction.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/filehandling.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/fill.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/footer.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/framewindow.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/freehand.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/gtkexcepthook.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/history.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/historypopup.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/inktool.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/inputtestwindow.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/keyboard.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/layermanip.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/layermodes.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/layerprops.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/layers.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/layerswindow.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/layervis.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/linemode.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/main.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/meta.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/mode.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/mvp.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/objfactory.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/optionspanel.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/overlays.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/picker.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/pixbuflist.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/preferenceswindow.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/previewwindow.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/profiling.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/quickchoice.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/scratchwindow.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/spinbox.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/stategroup.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/style.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/symmetry.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/tileddrawwidget.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/toolbar.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/toolstack.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/topbar.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/uicolor.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/userconfig.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/viewmanip.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/widgets.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/windowing.cpython-310.pyc
/usr/lib64/mypaint/gui/__pycache__/workspace.cpython-310.pyc
/usr/lib64/mypaint/gui/colors/__pycache__/__init__.cpython-310.pyc
/usr/lib64/mypaint/gui/colors/__pycache__/adjbases.cpython-310.pyc
/usr/lib64/mypaint/gui/colors/__pycache__/bases.cpython-310.pyc
/usr/lib64/mypaint/gui/colors/__pycache__/changers.cpython-310.pyc
/usr/lib64/mypaint/gui/colors/__pycache__/combined.cpython-310.pyc
/usr/lib64/mypaint/gui/colors/__pycache__/hcywheel.cpython-310.pyc
/usr/lib64/mypaint/gui/colors/__pycache__/hsvcube.cpython-310.pyc
/usr/lib64/mypaint/gui/colors/__pycache__/hsvsquare.cpython-310.pyc
/usr/lib64/mypaint/gui/colors/__pycache__/hsvwheel.cpython-310.pyc
/usr/lib64/mypaint/gui/colors/__pycache__/paletteview.cpython-310.pyc
/usr/lib64/mypaint/gui/colors/__pycache__/sliders.cpython-310.pyc
/usr/lib64/mypaint/gui/colors/__pycache__/uimisc.cpython-310.pyc
/usr/lib64/mypaint/gui/colors/__pycache__/util.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/__init__.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/alg.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/autosave.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/brush.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/brushes_migrate_json.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/brushsettings.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/cache.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/color.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/command.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/config.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/document.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/eotf.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/errors.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/feedback.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/fileutils.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/fill_common.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/floodfill.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/gettext.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/gettext_setup.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/gibindings.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/glib.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/helpers.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/i18n.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/idletask.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/layervis.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/localecodes.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/meta.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/modes.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/morphology.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/mypaintlib.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/naming.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/observable.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/palette.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/pixbuf.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/pixbufsurface.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/pycompat.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/stroke.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/strokemap.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/surface.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/tiledsurface.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/validation.cpython-310.pyc
/usr/lib64/mypaint/lib/__pycache__/xml.cpython-310.pyc
/usr/lib64/mypaint/lib/layer/__pycache__/__init__.cpython-310.pyc
/usr/lib64/mypaint/lib/layer/__pycache__/core.cpython-310.pyc
/usr/lib64/mypaint/lib/layer/__pycache__/data.cpython-310.pyc
/usr/lib64/mypaint/lib/layer/__pycache__/error.cpython-310.pyc
/usr/lib64/mypaint/lib/layer/__pycache__/group.cpython-310.pyc
/usr/lib64/mypaint/lib/layer/__pycache__/rendering.cpython-310.pyc
/usr/lib64/mypaint/lib/layer/__pycache__/test.cpython-310.pyc
/usr/lib64/mypaint/lib/layer/__pycache__/tree.cpython-310.pyc

Hence blocking the Python 3.11 tracker.

Also, the "ValueError: invalid mode: 'rU'" is new in Python 3.11. To fix, remove the U.

Comment 2 Ben Cotton 2022-08-09 13:19:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 3 Miro Hrončok 2022-09-29 14:50:07 UTC
Could you please respond?

Comment 4 Fedora Admin user for bugzilla script actions 2023-02-21 12:17:58 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 5 Fedora Update System 2023-02-21 15:36:30 UTC
FEDORA-2023-c69bc716b5 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c69bc716b5

Comment 6 Fedora Update System 2023-02-22 11:24:23 UTC
FEDORA-2023-c69bc716b5 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c69bc716b5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c69bc716b5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-03-02 02:48:15 UTC
FEDORA-2023-c69bc716b5 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Red Hat Bugzilla 2023-09-18 04:40:36 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 120 days


Note You need to log in before you can comment on or make changes to this bug.